/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ChInfoOptions_H_
#define	_ChInfoOptions_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NULL.h>
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Forward declarations */
struct ChannelInfoExts;

/* ChInfoOptions */
typedef struct ChInfoOptions {
	NULL_t	*option1	/* OPTIONAL */;
	NULL_t	*option2	/* OPTIONAL */;
	NULL_t	*option3	/* OPTIONAL */;
	NULL_t	*option4	/* OPTIONAL */;
	NULL_t	*option5	/* OPTIONAL */;
	NULL_t	*option6	/* OPTIONAL */;
	NULL_t	*option7	/* OPTIONAL */;
	struct ChannelInfoExts	*extensions	/* OPTIONAL */;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} ChInfoOptions_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ChInfoOptions;

#ifdef __cplusplus
}
#endif

/* Referred external types */
#include "ChannelInfoExts.h"

#endif	/* _ChInfoOptions_H_ */
#include <asn_internal.h>
